#include<stdio.h>
int main(){
  int n,i,j,k;
  printf("Uneti broj n\n");
  scanf("%d", &n);
  if (n<=0)
    printf("-1\n");
  else 
  {
    for (i=0; i<n; i++)
    
       for(k=n; k<n; k--)
	printf(" ");
        for(j=0; j=n*2-1; j++)
	  if (j%2==0)
           printf("*");
	else
	  printf("-");
      for(k=n; k<n; k--)
	printf(" ");
      }
    
    
    printf("\n");}
    return 0;
  }
